//*****************************************
// AVR ATmega328 8x8 LED Clock
// CPU Clock:8MHz
//   UWlgɂ
//
// File Name:gps_clock_h.h
//  wb_[t@C
//
//
//  2022/09/10 New TAB4 Taishi
//  2023/02/25 Modify for pr_mega328_8x8dot_clock Taishi
//*****************************************


extern	unsigned char	Ggps_data;				// Mf[^ifobOpj
extern	unsigned char	gGPS_active;
extern	unsigned char	gGPS_data_valid;		// 0:invalid, 1=valid
extern	unsigned char	gGPS_sec;				// for b̃f[^ (BCD 0--59)
extern	unsigned char	gGPS_min;				// for ̃f[^ (BCD 0--59)
extern	unsigned char	gGPS_hou;				// for ̃f[^ (BCD 0--23j
extern	unsigned char	gGPS_day;				// for ̃f[^ (BCD 1--31)
extern	unsigned char	gGPS_mon;				// for ̃f[^ (BCD 1--12j
extern	unsigned char	gGPS_year;				// for Ñf[^ (BCD 0--99)


extern	unsigned char	subZeller( unsigned short y, unsigned short m, unsigned short d );
extern	void			gps_clock_init(void);
extern	void			gps_1sec_init(void);
extern	unsigned char	get_gps_clock_stat(void);
extern	unsigned char	proc_set_6keta_by_GPS(void);
extern	void			clock_add_9hour(void);
extern	unsigned char	get_gps_clock_data(void);
